Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159084 - man page claims erroneously that sigwait doesn't return any errors
Summary: man page claims erroneously that sigwait doesn't return any errors
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-29 05:40 UTC by Jonathan Kamens
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-30 09:31:15 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2005-05-29 05:40:23 UTC
The man page for the sigwait function, i.e., pthread_signal(3), which is in the
glibc-devel package, claims, "The sigwait function never returns an error." 
This is simply not true, as a quick glance at
linuxthreads/sysdeps/unix/sysv/linux/sigwait.c will prove.  A further glance at
kernel/signal.c in the kernel sources will give you an indication of what errors
sigwait can, in fact, return.

Comment 1 Jakub Jelinek 2005-05-30 09:31:15 UTC
Fixed by removing all linuxthreads man pages except those that aren't covered
in 3p section.
http://sources.redhat.com/ml/glibc-cvs/2005-q2/msg00360.html
Will show up in next glibc build.


Note You need to log in before you can comment on or make changes to this bug.